Subject: Re: [bug#30500] [PATCH] services: cups: Add all extensions by default.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 26 Feb 2018 18:57:14 +0100

Danny Milosavljevic <[email-masked]> skribis:

> * gnu/services/cups.scm (cups-configuration): Add all extensions by default.
> ---
>  gnu/services/cups.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/gnu/services/cups.scm b/gnu/services/cups.scm
> index 4c62e6a6f..4e7325a74 100644
> --- a/gnu/services/cups.scm
> +++ b/gnu/services/cups.scm
> @@ -465,7 +465,7 @@ programs."))
>     (package cups)
>     "The CUPS package.")
>    (extensions
> -   (package-list (list cups-filters))
> +   (package-list (list cups-filters escpr hplip))

Also ‘foomatic-filters’.

>     "Drivers and other extensions to the CUPS package.")
>    (files-configuration
>     (files-configuration (files-configuration))

I can definitely understand the usability argument.  The counter
argument would be this:

--8<---------------cut here---------------start------------->8---
$ guix size cups-filters | tail -1
total: 270.4 MiB
$ guix size cups-filters escpr hplip foomatic-filters | tail -1
total: 569.5 MiB
--8<---------------cut here---------------end--------------->8---

I think carrying all this could make ‘guix system reconfigure’
heavyweight for many—lots of unnecessary downloads/rebuilds, etc.

What do people think?

I suppose on Debian etc., one has to explicitly install the right
packages, no?

Ludo’.